<template>
    <div>
        <div class="ht-sidebar__close" :class="{'ht-sidebar__close__closed': closed}" v-on:click="toggleSidebar">
            <label class="ht-sidebar__close-label">
                <span :class="{'ht-sidebar-span-open': !closed}"></span>
                <span class="ht-sidebar-span ht-sidebar-span-1" :class="{'ht-sidebar-span-open': !closed}"></span>
                <span class="ht-sidebar-span ht-sidebar-span-2" :class="{'ht-sidebar-span-open': !closed}"></span>
                <span class="ht-sidebar-span ht-sidebar-span-3" :class="{'ht-sidebar-span-open': !closed}"></span>
            </label>
        </div>
        <div class="ht-sidebar" :class="{'ht-sidebar__closed': closed}">
            <slot name="links"></slot>

            <span class="ht-sidebar__line"></span>
        </div>

        <div class="ht-content" :class="{'ht-content__large': closed}">
            <slot name="content">
            </slot>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'ht-sidebar',
        props: {},
        data() {
            return {
                closed: false
            }
        },
        methods: {
            toggleSidebar() {
                this.closed = !this.closed;
            }
        }
    };
</script>

<style scoped>

</style>
